interface BucketParams {
    Bucket: string;
    Key: string;
}
declare class S3 {
    url: any;
    params: any;
    s3Handler: any;
    bucketName: string;
    private region;
    private reqTimeout;
    private insecure;
    constructor(s3Url: any, s3Params: any, reqTimeout: number, insecure: boolean);
    private setRegion;
    initialise(): Promise<boolean>;
    bucketExists(bucket: string): Promise<any>;
    uploadBlob(key: string, data: any, eTag: string, version: string): Promise<any>;
    downloadBlob(key: string, version?: string): Promise<any>;
    deleteBlob(params: BucketParams): Promise<any>;
}
export default S3;
