declare const config: {
    userAgent: string;
    defaults: {
        publisher: string;
        redisPath: string;
        requestTimeout: number;
    };
    filters: {
        cssClassBlackList: string[];
        nodetCssClassBlackList: string[];
        cssClassBlackListIfNoLink: string[];
        cssClassDisplayList: string[];
        leadSectonId: string;
        cssClassCallsBlackList: string[];
        idBlackList: string[];
        blackListCssModules: string[];
    };
    output: {
        cssResourcesCommon: string[];
        jsResourcesCommon: string[];
        cssResources: string[];
        jsResources: string[];
        wikimediaMobileCssResources: string[];
        wikimediaMobileJsResources: string[];
        mw: {
            css: string[];
            js: string[];
        };
        dirs: {
            mediawiki: string;
        };
        templates: {
            pageWikimediaDesktop: string;
            pageWikimediaMobile: string;
            categories: string;
            subCategories: string;
            subPages: string;
            articleListHomeTemplate: string;
            footer: string;
            lead_section_wrapper: string;
            section_wrapper: string;
            subsection_wrapper: string;
        };
    };
};
type Config = typeof config;
export { config, Config };
