type DownloaderBaseUrlConditions = Array<{
    condition: boolean;
    value: string;
}>;
/**
 * Build base URL for specific wiki. Example of the output: 'https://en.wikipedia.org' or 'https://de.wikivoyage.org
 */
declare class BasicURLDirector {
    buildMediawikiBaseURL(domain: string): URL;
    buildDownloaderBaseUrl(conditions: DownloaderBaseUrlConditions): string | undefined;
}
declare const basicURLDirector: BasicURLDirector;
export default basicURLDirector;
