import urlBuilder from './url.builder.js';
/**
 * Interface to build URLs based on MediaWiki Web URL
 */
export default class WebURLDirector {
    baseDomain;
    constructor(baseDomain) {
        this.baseDomain = baseDomain;
    }
    buildArticleRawURL(articleId) {
        return urlBuilder
            .setDomain(this.baseDomain)
            .setQueryParams({ title: encodeURIComponent(articleId), action: 'raw' })
            .build();
    }
}
//# sourceMappingURL=web.director.js.map