import Downloader from '../Downloader.js';
import { ZimCreator } from '@openzim/libzim';
import { Dump } from '../Dump.js';
export declare function downloadFiles(fileStore: RKVS<FileDetail>, retryStore: RKVS<FileDetail>, zimCreator: ZimCreator, dump: Dump, downloader: Downloader, retryCounter?: number): Promise<void>;
export declare function saveArticles(zimCreator: ZimCreator, downloader: Downloader, dump: Dump, hasWikimediaMobileApi: boolean, forceRender?: any): Promise<{
    staticFilesList: Set<string>;
    jsModuleDependencies: Set<string>;
    cssModuleDependencies: Set<string>;
}>;
