import { MobileRenderer } from './abstractMobile.render.js';
import { RenderOpts } from './abstract.renderer.js';
export declare class WikimediaMobileRenderer extends MobileRenderer {
    constructor();
    private getStrippedTitle;
    render(renderOpts: RenderOpts): Promise<any>;
    private pipeMobileTransformations;
    private removeEditContainer;
    private calculateImageDimensions;
    private convertLazyLoadToImagesImpl;
    private removeHiddenClass;
    private unhideSectionsImpl;
    private restoreLinkDefaults;
    readonly INTERNAL: {
        convertLazyLoadToImages: any;
        unhideSections: any;
    };
}
