/**
 * Interface to build URLs based on MediaWiki API URL
 */
export default class ApiURLDirector {
    private baseDomain;
    constructor(baseDomain: string);
    buildSubCategoriesURL(articleId: string, continueStr?: string): string;
    buildSiteInfoQueryURL(): string;
    buildQueryURL<T extends Record<string, any>>(queryParams: T): string;
    buildNamespacesURL(): string;
    buildSiteInfoURL(): string;
    buildVisualEditorURL(): URL;
    buildArticleApiURL(articleId: string): string;
}
