/**
 * Interface to build URLs based on base URL
 */
export default class BaseURLDirector {
    private baseDomain;
    constructor(baseDomain: string);
    buildURL(path: string): URL;
    buildWikimediaDesktopApiUrl(): URL;
    buildWikimediaMobileApiUrl(): URL;
    buildModuleURL(path?: string): string;
    buildMobileModuleURL(path?: string): string;
    buildRestApiUrl(path?: string): URL;
}
