import urlBuilder from './url.builder.js';
/**
 * Interface to build URLs based on Downloader desktop URL
 */
export default class WikimediaDesktopURLDirector {
    baseDomain;
    constructor(baseDomain) {
        this.baseDomain = baseDomain;
    }
    buildArticleURL(articleId) {
        return urlBuilder.setDomain(this.baseDomain).setPath(encodeURIComponent(articleId)).build();
    }
}
//# sourceMappingURL=desktop.director.js.map