import urlBuilder from './url.builder.js';
/**
 * Interface to build URLs based on MediaWiki mobile URL
 */
export default class WikimediaMobileURLDirector {
    baseDomain;
    constructor(baseDomain) {
        this.baseDomain = baseDomain;
    }
    buildArticleURL(articleId) {
        return urlBuilder.setDomain(this.baseDomain).setPath(encodeURIComponent(articleId)).build();
    }
}
//# sourceMappingURL=mobile.director.js.map