import urlBuilder from './url.builder.js';
/**
 * Interface to build URLs based on MediaWiki REST API URL
 */
export default class RestApiURLDirector {
    baseDomain;
    constructor(baseDomain) {
        this.baseDomain = baseDomain;
    }
    buildArticleURL(articleId) {
        return urlBuilder
            .setDomain(this.baseDomain)
            .setPath('v1/page/' + encodeURIComponent(articleId) + '/html')
            .build();
    }
}
//# sourceMappingURL=rest-api.director.js.map